Skip to main content
POST
/
v1
/
wallets
/
{walletId}
/
withdraw
/
fiat
/
institution-account-verification
Verify Institution Account
curl --request POST \
  --url https://api.blockradar.co/v1/wallets/{walletId}/withdraw/fiat/institution-account-verification \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "accountIdentifier": "8032324141",
  "currency": "NGN",
  "institutionIdentifier": "OPAYNGPC"
}
'
{
  "data": {
    "accountName": "JOHN DOE"
  },
  "message": "Institution account verified successfully",
  "status": true
}

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

Body

application/json
assetId
any
required

asset ID of the stablecoin to withdraw

amount
any
required

amount to withdraw in asset units

accountIdentifier
string
required

destination bank account identifier

Example:

"8032324141"

currency
string
required

destination fiat currency code

Example:

"NGN"

institutionIdentifier
string
required

bank or institution identifier code

Example:

"OPAYNGPC"

Response

200 - application/json

200

data
object
message
string
Example:

"Institution account verified successfully"

status
boolean
Example:

true